#include <stdio.h>
#include "defines.h"

int fputc2(unint c,FILE *fp)
/* ２バイトコード対応fputc() */
{
int cc;
	cc=c;
	if (c>=256) { /* ２バイトコードの時 */
		if (fputc((c>>8)&0xff,fp)==EOF) return(EOF);
		c&=0xff;
	}
	if (fputc(c,fp)==EOF) return(EOF);
	return(cc);
}
